Name:           x2godesktopsharing
Version:        3.1.1.0
Release:        4%{?dist}
Summary:        Share X2Go desktops with other users

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.x2go.org
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel
Requires:       hicolor-icon-theme
Requires:       x2goserver

%description
X2Godesktopsharing is an X2Go add-on tool that allows a user to grant other
X2Go users access to the current session (shadow session support).


%prep
%setup -q
# Fix FSF address
sed -i -e 's/59 Temple Place/51 Franklin Street/' -e 's/Suite 330/Fifth Floor/' \
       -e 's/MA  02111-1307/MA  02110-1301/' COPYING


%build
qmake-qt4
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/{applications,x2go}
cp -p %{name} %{buildroot}%{_bindir}/
desktop-file-install %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/%{name}/icons
install -p -m 644 icons/%{name}.xpm %{buildroot}%{_datadir}/%{name}/icons/%{name}.xpm
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,64x64,128x128}/apps
install -p -m 644 icons/128x128/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -p -m 644 icons/16x16/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m 644 icons/64x64/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -p -m 644 icons/32x32/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m 755 bin/* %{buildroot}%{_bindir}/
cp -rp share/* %{buildroot}%{_datadir}/x2go/
cp -rp man %{buildroot}%{_datadir}/


%pre
# Needed for sharing a desktop with another user
getent group x2godesktopsharing >/dev/null || groupadd -r x2godesktopsharing

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/x2goresume-desktopsharing
%{_bindir}/x2gosuspend-desktopsharing
%{_bindir}/x2goterminate-desktopsharing
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/x2go/x2gofeature.d/%{name}.features
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man8/x2goresume-desktopsharing.8.gz
%{_mandir}/man8/x2gosuspend-desktopsharing.8.gz
%{_mandir}/man8/x2goterminate-desktopsharing.8.gz


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Aug 1 2013 Orion Poplawski <orion@cora.nwra.com> - 3.1.1.0-3
- Fix description formatting
- Install scripts with correct permissions
- Fix FSF address

* Thu Aug 1 2013 Orion Poplawski <orion@cora.nwra.com> - 3.1.1.0-2
- Create x2godesktopsharing group
- Preserve timestamps on install
- Update icon cache

* Wed Jul 31 2013 Orion Poplawski <orion@cora.nwra.com> - 3.1.1.0-1
- Update to 3.1.1.0

* Mon Jun 10 2013 Orion Poplawski <orion@cora.nwra.com> - 3.1.0.7-1
- Update to 3.1.0.7

* Wed Feb 6 2013 Orion Poplawski <orion@cora.nwra.com> - 3.1.0.6-1
- Initial Fedora package
